import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface StaticSiteProps {
    /**
     * Path to static site distribution directory.
     *
     * @stability stable
     */
    readonly pathToDist: string;
    /**
     * The zoneName of the hosted zone.
     *
     * @stability stable
     */
    readonly zoneName: string;
    /**
     * Domain name for static site (including sub-domain).
     *
     * @stability stable
     */
    readonly frontendDomainName: string;
    /**
     * Certificate ARN.
     *
     * @stability stable
     */
    readonly certificateArn?: string;
}
/**
 * Construct for a static website hosted with S3 and CloudFront.
 *
 * https://github.com/aws-samples/aws-cdk-examples/blob/master/typescript/static-site/static-site.ts
 *
 * @stability stable
 */
export declare class StaticSite extends cdk.Construct {
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: StaticSiteProps);
}
